# Interface methods for submodule: CenteredSimilarity2DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Similarity2DTransformProxy as _Similarity2DTransformProxy


# Interface methods for class: CenteredSimilarity2DTransform
class CenteredSimilarity2DTransformProxy(_Similarity2DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def CloneInverseTo(self, result) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def CloneTo(self, result) -> None:
		""""""
		...

